<?php
session_start(); // Initialize Session data
ob_start(); // Turn on output buffering
?>
<?php include "ewcfg7.php" ?>
<?php include "ewmysql7.php" ?>
<?php include "phpfn7.php" ?>
<?php include "tbl_tour_photoinfo.php" ?>
<?php include "tbl_tour_nameinfo.php" ?>
<?php include "tbl_admininfo.php" ?>
<?php include "userfn7.php" ?>
<?php
header("Expires: Mon, 26 Jul 1997 05:00:00 GMT"); // Date in the past
header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT"); // Always modified
header("Cache-Control: private, no-store, no-cache, must-revalidate"); // HTTP/1.1 
header("Cache-Control: post-check=0, pre-check=0", false);
header("Pragma: no-cache"); // HTTP/1.0
?>
<?php

// Create page object
$tbl_tour_photo_add = new ctbl_tour_photo_add();
$Page =& $tbl_tour_photo_add;

// Page init
$tbl_tour_photo_add->Page_Init();

// Page main
$tbl_tour_photo_add->Page_Main();
?>
<?php include "header.php" ?>
<script type="text/javascript">
<!--

// Create page object
var tbl_tour_photo_add = new ew_Page("tbl_tour_photo_add");

// page properties
tbl_tour_photo_add.PageID = "add"; // page ID
tbl_tour_photo_add.FormID = "ftbl_tour_photoadd"; // form ID
var EW_PAGE_ID = tbl_tour_photo_add.PageID; // for backward compatibility

// extend page with ValidateForm function
tbl_tour_photo_add.ValidateForm = function(fobj) {
	ew_PostAutoSuggest(fobj);
	if (!this.ValidateRequired)
		return true; // ignore validation
	if (fobj.a_confirm && fobj.a_confirm.value == "F")
		return true;
	var i, elm, aelm, infix;
	var rowcnt = (fobj.key_count) ? Number(fobj.key_count.value) : 1;
	for (i=0; i<rowcnt; i++) {
		infix = (fobj.key_count) ? String(i+1) : "";
		elm = fobj.elements["x" + infix + "_tour_name_id"];
		if (elm && !ew_HasValue(elm))
			return ew_OnError(this, elm, ewLanguage.Phrase("EnterRequiredField") + " - <?php echo ew_JsEncode2($tbl_tour_photo->tour_name_id->FldCaption()) ?>");
		elm = fobj.elements["x" + infix + "_photo"];
		aelm = fobj.elements["a" + infix + "_photo"];
		var chk_photo = (aelm && aelm[0])?(aelm[2].checked):true;
		if (elm && chk_photo && !ew_HasValue(elm))
			return ew_OnError(this, elm, ewLanguage.Phrase("EnterRequiredField") + " - <?php echo ew_JsEncode2($tbl_tour_photo->photo->FldCaption()) ?>");
		elm = fobj.elements["x" + infix + "_photo"];
		if (elm && !ew_CheckFileType(elm.value))
			return ew_OnError(this, elm, ewLanguage.Phrase("WrongFileType"));
		elm = fobj.elements["x" + infix + "_photo_thum"];
		aelm = fobj.elements["a" + infix + "_photo_thum"];
		var chk_photo_thum = (aelm && aelm[0])?(aelm[2].checked):true;
		if (elm && chk_photo_thum && !ew_HasValue(elm))
			return ew_OnError(this, elm, ewLanguage.Phrase("EnterRequiredField") + " - <?php echo ew_JsEncode2($tbl_tour_photo->photo_thum->FldCaption()) ?>");
		elm = fobj.elements["x" + infix + "_photo_thum"];
		if (elm && !ew_CheckFileType(elm.value))
			return ew_OnError(this, elm, ewLanguage.Phrase("WrongFileType"));
		elm = fobj.elements["x" + infix + "_order_by"];
		if (elm && !ew_HasValue(elm))
			return ew_OnError(this, elm, ewLanguage.Phrase("EnterRequiredField") + " - <?php echo ew_JsEncode2($tbl_tour_photo->order_by->FldCaption()) ?>");
		elm = fobj.elements["x" + infix + "_order_by"];
		if (elm && !ew_CheckInteger(elm.value))
			return ew_OnError(this, elm, "<?php echo ew_JsEncode2($tbl_tour_photo->order_by->FldErrMsg()) ?>");

		// Call Form Custom Validate event
		if (!this.Form_CustomValidate(fobj)) return false;
	}
	return true;
}

// extend page with Form_CustomValidate function
tbl_tour_photo_add.Form_CustomValidate =  
 function(fobj) { // DO NOT CHANGE THIS LINE!

 	// Your custom validation code here, return false if invalid. 
 	return true;
 }
<?php if (EW_CLIENT_VALIDATE) { ?>
tbl_tour_photo_add.ValidateRequired = true; // uses JavaScript validation
<?php } else { ?>
tbl_tour_photo_add.ValidateRequired = false; // no JavaScript validation
<?php } ?>

//-->
</script>
<script type="text/javascript">
<!--
var ew_DHTMLEditors = [];

//-->
</script>
<script language="JavaScript" type="text/javascript">
<!--

// Write your client script here, no need to add script tags.
// To include another .js script, use:
// ew_ClientScriptInclude("my_javascript.js"); 
//-->

</script>
<p><span class="phpmaker"><?php echo $Language->Phrase("Add") ?>&nbsp;<?php echo $Language->Phrase("TblTypeTABLE") ?><?php echo $tbl_tour_photo->TableCaption() ?><br><br>
<a href="<?php echo $tbl_tour_photo->getReturnUrl() ?>"><?php echo $Language->Phrase("GoBack") ?></a></span></p>
<?php
if (EW_DEBUG_ENABLED)
	echo ew_DebugMsg();
$tbl_tour_photo_add->ShowMessage();
?>
<form name="ftbl_tour_photoadd" id="ftbl_tour_photoadd" action="<?php echo ew_CurrentPage() ?>" method="post" enctype="multipart/form-data" onsubmit="return tbl_tour_photo_add.ValidateForm(this);">
<p>
<input type="hidden" name="t" id="t" value="tbl_tour_photo">
<input type="hidden" name="a_add" id="a_add" value="A">
<table cellspacing="0" class="ewGrid"><tr><td class="ewGridContent">
<div class="ewGridMiddlePanel">
<table cellspacing="0" class="ewTable">
<?php if ($tbl_tour_photo->tour_name_id->Visible) { // tour_name_id ?>
	<tr<?php echo $tbl_tour_photo->RowAttributes() ?>>
		<td class="ewTableHeader"><?php echo $tbl_tour_photo->tour_name_id->FldCaption() ?><?php echo $Language->Phrase("FieldRequiredIndicator") ?></td>
		<td<?php echo $tbl_tour_photo->tour_name_id->CellAttributes() ?>><span id="el_tour_name_id">
<?php if ($tbl_tour_photo->tour_name_id->getSessionValue() <> "") { ?>
<div<?php echo $tbl_tour_photo->tour_name_id->ViewAttributes() ?>><?php echo $tbl_tour_photo->tour_name_id->ViewValue ?></div>
<input type="hidden" id="x_tour_name_id" name="x_tour_name_id" value="<?php echo ew_HtmlEncode($tbl_tour_photo->tour_name_id->CurrentValue) ?>">
<?php } else { ?>
<select id="x_tour_name_id" name="x_tour_name_id" title="<?php echo $tbl_tour_photo->tour_name_id->FldTitle() ?>"<?php echo $tbl_tour_photo->tour_name_id->EditAttributes() ?>>
<?php
if (is_array($tbl_tour_photo->tour_name_id->EditValue)) {
	$arwrk = $tbl_tour_photo->tour_name_id->EditValue;
	$rowswrk = count($arwrk);
	$emptywrk = TRUE;
	for ($rowcntwrk = 0; $rowcntwrk < $rowswrk; $rowcntwrk++) {
		$selwrk = (strval($tbl_tour_photo->tour_name_id->CurrentValue) == strval($arwrk[$rowcntwrk][0])) ? " selected=\"selected\"" : "";
		if ($selwrk <> "") $emptywrk = FALSE;
?>
<option value="<?php echo ew_HtmlEncode($arwrk[$rowcntwrk][0]) ?>"<?php echo $selwrk ?>>
<?php echo $arwrk[$rowcntwrk][1] ?>
</option>
<?php
	}
}
?>
</select>
<?php
$sSqlWrk = "SELECT `tour_name_id`, `name`, '' AS Disp2Fld FROM `tbl_tour_name`";
$sWhereWrk = "";
if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
$sSqlWrk = TEAencrypt($sSqlWrk, EW_RANDOM_KEY);
?>
<input type="hidden" name="s_x_tour_name_id" id="s_x_tour_name_id" value="<?php echo $sSqlWrk; ?>">
<input type="hidden" name="lft_x_tour_name_id" id="lft_x_tour_name_id" value="">
<?php } ?>
</span><?php echo $tbl_tour_photo->tour_name_id->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tbl_tour_photo->photo->Visible) { // photo ?>
	<tr<?php echo $tbl_tour_photo->RowAttributes() ?>>
		<td class="ewTableHeader"><?php echo $tbl_tour_photo->photo->FldCaption() ?><?php echo $Language->Phrase("FieldRequiredIndicator") ?></td>
		<td<?php echo $tbl_tour_photo->photo->CellAttributes() ?>><span id="el_photo">
<input type="file" name="x_photo" id="x_photo" title="<?php echo $tbl_tour_photo->photo->FldTitle() ?>" size="30"<?php echo $tbl_tour_photo->photo->EditAttributes() ?>>
</div>
</span><?php echo $tbl_tour_photo->photo->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tbl_tour_photo->photo_thum->Visible) { // photo_thum ?>
	<tr<?php echo $tbl_tour_photo->RowAttributes() ?>>
		<td class="ewTableHeader"><?php echo $tbl_tour_photo->photo_thum->FldCaption() ?><?php echo $Language->Phrase("FieldRequiredIndicator") ?></td>
		<td<?php echo $tbl_tour_photo->photo_thum->CellAttributes() ?>><span id="el_photo_thum">
<input type="file" name="x_photo_thum" id="x_photo_thum" title="<?php echo $tbl_tour_photo->photo_thum->FldTitle() ?>" size="30"<?php echo $tbl_tour_photo->photo_thum->EditAttributes() ?>>
</div>
</span><?php echo $tbl_tour_photo->photo_thum->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tbl_tour_photo->order_by->Visible) { // order_by ?>
	<tr<?php echo $tbl_tour_photo->RowAttributes() ?>>
		<td class="ewTableHeader"><?php echo $tbl_tour_photo->order_by->FldCaption() ?><?php echo $Language->Phrase("FieldRequiredIndicator") ?></td>
		<td<?php echo $tbl_tour_photo->order_by->CellAttributes() ?>><span id="el_order_by">
<input type="text" name="x_order_by" id="x_order_by" title="<?php echo $tbl_tour_photo->order_by->FldTitle() ?>" size="30" value="<?php echo $tbl_tour_photo->order_by->EditValue ?>"<?php echo $tbl_tour_photo->order_by->EditAttributes() ?>>
</span><?php echo $tbl_tour_photo->order_by->CustomMsg ?></td>
	</tr>
<?php } ?>
</table>
</div>
</td></tr></table>
<p>
<input type="submit" name="btnAction" id="btnAction" value="<?php echo ew_BtnCaption($Language->Phrase("AddBtn")) ?>">
</form>
<script language="JavaScript" type="text/javascript">
<!--
ew_UpdateOpts([['x_tour_name_id','x_tour_name_id',false]]);

//-->
</script>
<script language="JavaScript" type="text/javascript">
<!--

// Write your table-specific startup script here
// document.write("page loaded");
//-->

</script>
<?php include "footer.php" ?>
<?php
$tbl_tour_photo_add->Page_Terminate();
?>
<?php

//
// Page class
//
class ctbl_tour_photo_add {

	// Page ID
	var $PageID = 'add';

	// Table name
	var $TableName = 'tbl_tour_photo';

	// Page object name
	var $PageObjName = 'tbl_tour_photo_add';

	// Page name
	function PageName() {
		return ew_CurrentPage();
	}

	// Page URL
	function PageUrl() {
		$PageUrl = ew_CurrentPage() . "?";
		global $tbl_tour_photo;
		if ($tbl_tour_photo->UseTokenInUrl) $PageUrl .= "t=" . $tbl_tour_photo->TableVar . "&"; // Add page token
		return $PageUrl;
	}

	// Page URLs
	var $AddUrl;
	var $EditUrl;
	var $CopyUrl;
	var $DeleteUrl;
	var $ViewUrl;
	var $ListUrl;

	// Export URLs
	var $ExportPrintUrl;
	var $ExportHtmlUrl;
	var $ExportExcelUrl;
	var $ExportWordUrl;
	var $ExportXmlUrl;
	var $ExportCsvUrl;

	// Update URLs
	var $InlineAddUrl;
	var $InlineCopyUrl;
	var $InlineEditUrl;
	var $GridAddUrl;
	var $GridEditUrl;
	var $MultiDeleteUrl;
	var $MultiUpdateUrl;

	// Message
	function getMessage() {
		return @$_SESSION[EW_SESSION_MESSAGE];
	}

	function setMessage($v) {
		if (@$_SESSION[EW_SESSION_MESSAGE] <> "") { // Append
			$_SESSION[EW_SESSION_MESSAGE] .= "<br>" . $v;
		} else {
			$_SESSION[EW_SESSION_MESSAGE] = $v;
		}
	}

	// Show message
	function ShowMessage() {
		$sMessage = $this->getMessage();
		$this->Message_Showing($sMessage);
		if ($sMessage <> "") { // Message in Session, display
			echo "<p><span class=\"ewMessage\">" . $sMessage . "</span></p>";
			$_SESSION[EW_SESSION_MESSAGE] = ""; // Clear message in Session
		}
	}

	// Validate page request
	function IsPageRequest() {
		global $objForm, $tbl_tour_photo;
		if ($tbl_tour_photo->UseTokenInUrl) {
			if ($objForm)
				return ($tbl_tour_photo->TableVar == $objForm->GetValue("t"));
			if (@$_GET["t"] <> "")
				return ($tbl_tour_photo->TableVar == $_GET["t"]);
		} else {
			return TRUE;
		}
	}

	//
	// Page class constructor
	//
	function ctbl_tour_photo_add() {
		global $conn, $Language;

		// Language object
		$Language = new cLanguage();

		// Table object (tbl_tour_photo)
		$GLOBALS["tbl_tour_photo"] = new ctbl_tour_photo();

		// Table object (tbl_tour_name)
		$GLOBALS['tbl_tour_name'] = new ctbl_tour_name();

		// Table object (tbl_admin)
		$GLOBALS['tbl_admin'] = new ctbl_admin();

		// Page ID
		if (!defined("EW_PAGE_ID"))
			define("EW_PAGE_ID", 'add', TRUE);

		// Table name (for backward compatibility)
		if (!defined("EW_TABLE_NAME"))
			define("EW_TABLE_NAME", 'tbl_tour_photo', TRUE);

		// Start timer
		$GLOBALS["gsTimer"] = new cTimer();

		// Open connection
		$conn = ew_Connect();
	}

	// 
	//  Page_Init
	//
	function Page_Init() {
		global $gsExport, $gsExportFile, $UserProfile, $Language, $Security, $objForm;
		global $tbl_tour_photo;

		// Security
		$Security = new cAdvancedSecurity();
		if (!$Security->IsLoggedIn()) $Security->AutoLogin();
		if (!$Security->IsLoggedIn()) {
			$Security->SaveLastUrl();
			$this->Page_Terminate("login.php");
		}

		// Create form object
		$objForm = new cFormObj();

		// Global Page Loading event (in userfn*.php)
		Page_Loading();

		// Page Load event
		$this->Page_Load();
	}

	//
	// Page_Terminate
	//
	function Page_Terminate($url = "") {
		global $conn;

		// Page Unload event
		$this->Page_Unload();

		// Global Page Unloaded event (in userfn*.php)
		Page_Unloaded();

		 // Close connection
		$conn->Close();

		// Go to URL if specified
		$this->Page_Redirecting($url);
		if ($url <> "") {
			if (!EW_DEBUG_ENABLED && ob_get_length())
				ob_end_clean();
			header("Location: " . $url);
		}
		exit();
	}
	var $sDbMasterFilter = "";
	var $sDbDetailFilter = "";
	var $lPriv = 0;

	// 
	// Page main
	//
	function Page_Main() {
		global $objForm, $Language, $gsFormError, $tbl_tour_photo;

		// Load key values from QueryString
		$bCopy = TRUE;
		if (@$_GET["tour_photo"] != "") {
		  $tbl_tour_photo->tour_photo->setQueryStringValue($_GET["tour_photo"]);
		} else {
		  $bCopy = FALSE;
		}

		// Set up master/detail parameters
		$this->SetUpMasterDetail();

		// Process form if post back
		if (@$_POST["a_add"] <> "") {
		   $tbl_tour_photo->CurrentAction = $_POST["a_add"]; // Get form action
		  $this->GetUploadFiles(); // Get upload files
		  $this->LoadFormValues(); // Load form values

			// Validate form
			if (!$this->ValidateForm()) {
				$tbl_tour_photo->CurrentAction = "I"; // Form error, reset action
				$this->setMessage($gsFormError);
			}
		} else { // Not post back
		  if ($bCopy) {
		    $tbl_tour_photo->CurrentAction = "C"; // Copy record
		  } else {
		    $tbl_tour_photo->CurrentAction = "I"; // Display blank record
		    $this->LoadDefaultValues(); // Load default values
		  }
		}

		// Perform action based on action code
		switch ($tbl_tour_photo->CurrentAction) {
		  case "I": // Blank record, no action required
				break;
		  case "C": // Copy an existing record
		   if (!$this->LoadRow()) { // Load record based on key
		      $this->setMessage($Language->Phrase("NoRecord")); // No record found
		      $this->Page_Terminate("tbl_tour_photolist.php"); // No matching record, return to list
		    }
				break;
		  case "A": // ' Add new record
				$tbl_tour_photo->SendEmail = TRUE; // Send email on add success
		    if ($this->AddRow()) { // Add successful
		      $this->setMessage($Language->Phrase("AddSuccess")); // Set up success message
					$sReturnUrl = $tbl_tour_photo->getReturnUrl();
					$this->Page_Terminate($sReturnUrl); // Clean up and return
		    } else {
		      $this->RestoreFormValues(); // Add failed, restore form values
		    }
		}

		// Render row based on row type
		$tbl_tour_photo->RowType = EW_ROWTYPE_ADD;  // Render add type

		// Render row
		$this->RenderRow();
	}

	// Get upload files
	function GetUploadFiles() {
		global $objForm, $tbl_tour_photo;

		// Get upload data
			if ($tbl_tour_photo->photo->Upload->UploadFile()) {

				// No action required
			} else {
				echo $tbl_tour_photo->photo->Upload->Message;
				$this->Page_Terminate();
				exit();
			}
			if ($tbl_tour_photo->photo_thum->Upload->UploadFile()) {

				// No action required
			} else {
				echo $tbl_tour_photo->photo_thum->Upload->Message;
				$this->Page_Terminate();
				exit();
			}
	}

	// Load default values
	function LoadDefaultValues() {
		global $tbl_tour_photo;
		$tbl_tour_photo->photo->CurrentValue = NULL; // Clear file related field
		$tbl_tour_photo->photo_thum->CurrentValue = NULL; // Clear file related field
	}

	// Load form values
	function LoadFormValues() {

		// Load from form
		global $objForm, $tbl_tour_photo;
		$tbl_tour_photo->tour_name_id->setFormValue($objForm->GetValue("x_tour_name_id"));
		$tbl_tour_photo->order_by->setFormValue($objForm->GetValue("x_order_by"));
		$tbl_tour_photo->tour_photo->setFormValue($objForm->GetValue("x_tour_photo"));
	}

	// Restore form values
	function RestoreFormValues() {
		global $objForm, $tbl_tour_photo;
		$tbl_tour_photo->tour_photo->CurrentValue = $tbl_tour_photo->tour_photo->FormValue;
		$tbl_tour_photo->tour_name_id->CurrentValue = $tbl_tour_photo->tour_name_id->FormValue;
		$tbl_tour_photo->order_by->CurrentValue = $tbl_tour_photo->order_by->FormValue;
	}

	// Load row based on key values
	function LoadRow() {
		global $conn, $Security, $tbl_tour_photo;
		$sFilter = $tbl_tour_photo->KeyFilter();

		// Call Row Selecting event
		$tbl_tour_photo->Row_Selecting($sFilter);

		// Load SQL based on filter
		$tbl_tour_photo->CurrentFilter = $sFilter;
		$sSql = $tbl_tour_photo->SQL();
		$res = FALSE;
		$rs = ew_LoadRecordset($sSql);
		if ($rs && !$rs->EOF) {
			$res = TRUE;
			$this->LoadRowValues($rs); // Load row values

			// Call Row Selected event
			$tbl_tour_photo->Row_Selected($rs);
			$rs->Close();
		}
		return $res;
	}

	// Load row values from recordset
	function LoadRowValues(&$rs) {
		global $conn, $tbl_tour_photo;
		$tbl_tour_photo->tour_photo->setDbValue($rs->fields('tour_photo'));
		$tbl_tour_photo->tour_name_id->setDbValue($rs->fields('tour_name_id'));
		$tbl_tour_photo->photo->Upload->DbValue = $rs->fields('photo');
		$tbl_tour_photo->photo_thum->Upload->DbValue = $rs->fields('photo_thum');
		$tbl_tour_photo->order_by->setDbValue($rs->fields('order_by'));
	}

	// Render row values based on field settings
	function RenderRow() {
		global $conn, $Security, $Language, $tbl_tour_photo;

		// Initialize URLs
		// Call Row_Rendering event

		$tbl_tour_photo->Row_Rendering();

		// Common render codes for all row types
		// tour_name_id

		$tbl_tour_photo->tour_name_id->CellCssStyle = ""; $tbl_tour_photo->tour_name_id->CellCssClass = "";
		$tbl_tour_photo->tour_name_id->CellAttrs = array(); $tbl_tour_photo->tour_name_id->ViewAttrs = array(); $tbl_tour_photo->tour_name_id->EditAttrs = array();

		// photo
		$tbl_tour_photo->photo->CellCssStyle = ""; $tbl_tour_photo->photo->CellCssClass = "";
		$tbl_tour_photo->photo->CellAttrs = array(); $tbl_tour_photo->photo->ViewAttrs = array(); $tbl_tour_photo->photo->EditAttrs = array();

		// photo_thum
		$tbl_tour_photo->photo_thum->CellCssStyle = ""; $tbl_tour_photo->photo_thum->CellCssClass = "";
		$tbl_tour_photo->photo_thum->CellAttrs = array(); $tbl_tour_photo->photo_thum->ViewAttrs = array(); $tbl_tour_photo->photo_thum->EditAttrs = array();

		// order_by
		$tbl_tour_photo->order_by->CellCssStyle = ""; $tbl_tour_photo->order_by->CellCssClass = "";
		$tbl_tour_photo->order_by->CellAttrs = array(); $tbl_tour_photo->order_by->ViewAttrs = array(); $tbl_tour_photo->order_by->EditAttrs = array();
		if ($tbl_tour_photo->RowType == EW_ROWTYPE_VIEW) { // View row

			// tour_photo
			$tbl_tour_photo->tour_photo->ViewValue = $tbl_tour_photo->tour_photo->CurrentValue;
			$tbl_tour_photo->tour_photo->CssStyle = "";
			$tbl_tour_photo->tour_photo->CssClass = "";
			$tbl_tour_photo->tour_photo->ViewCustomAttributes = "";

			// tour_name_id
			if (strval($tbl_tour_photo->tour_name_id->CurrentValue) <> "") {
				$sFilterWrk = "`tour_name_id` = " . ew_AdjustSql($tbl_tour_photo->tour_name_id->CurrentValue) . "";
			$sSqlWrk = "SELECT `name` FROM `tbl_tour_name`";
			$sWhereWrk = "";
			if ($sFilterWrk <> "") {
				if ($sWhereWrk <> "") $sWhereWrk .= " AND ";
				$sWhereWrk .= "(" . $sFilterWrk . ")";
			}
			if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
				$rswrk = $conn->Execute($sSqlWrk);
				if ($rswrk && !$rswrk->EOF) { // Lookup values found
					$tbl_tour_photo->tour_name_id->ViewValue = $rswrk->fields('name');
					$rswrk->Close();
				} else {
					$tbl_tour_photo->tour_name_id->ViewValue = $tbl_tour_photo->tour_name_id->CurrentValue;
				}
			} else {
				$tbl_tour_photo->tour_name_id->ViewValue = NULL;
			}
			$tbl_tour_photo->tour_name_id->CssStyle = "";
			$tbl_tour_photo->tour_name_id->CssClass = "";
			$tbl_tour_photo->tour_name_id->ViewCustomAttributes = "";

			// photo
			if (!ew_Empty($tbl_tour_photo->photo->Upload->DbValue)) {
				$tbl_tour_photo->photo->ViewValue = $tbl_tour_photo->photo->Upload->DbValue;
				$tbl_tour_photo->photo->ImageWidth = 200;
				$tbl_tour_photo->photo->ImageHeight = 0;
				$tbl_tour_photo->photo->ImageAlt = $tbl_tour_photo->photo->FldAlt();
			} else {
				$tbl_tour_photo->photo->ViewValue = "";
			}
			$tbl_tour_photo->photo->CssStyle = "";
			$tbl_tour_photo->photo->CssClass = "";
			$tbl_tour_photo->photo->ViewCustomAttributes = "";

			// photo_thum
			if (!ew_Empty($tbl_tour_photo->photo_thum->Upload->DbValue)) {
				$tbl_tour_photo->photo_thum->ViewValue = $tbl_tour_photo->photo_thum->Upload->DbValue;
				$tbl_tour_photo->photo_thum->ImageWidth = 82;
				$tbl_tour_photo->photo_thum->ImageHeight = 0;
				$tbl_tour_photo->photo_thum->ImageAlt = $tbl_tour_photo->photo_thum->FldAlt();
			} else {
				$tbl_tour_photo->photo_thum->ViewValue = "";
			}
			$tbl_tour_photo->photo_thum->CssStyle = "";
			$tbl_tour_photo->photo_thum->CssClass = "";
			$tbl_tour_photo->photo_thum->ViewCustomAttributes = "";

			// order_by
			$tbl_tour_photo->order_by->ViewValue = $tbl_tour_photo->order_by->CurrentValue;
			$tbl_tour_photo->order_by->CssStyle = "";
			$tbl_tour_photo->order_by->CssClass = "";
			$tbl_tour_photo->order_by->ViewCustomAttributes = "";

			// tour_name_id
			$tbl_tour_photo->tour_name_id->HrefValue = "";
			$tbl_tour_photo->tour_name_id->TooltipValue = "";

			// photo
			$tbl_tour_photo->photo->HrefValue = "";
			$tbl_tour_photo->photo->TooltipValue = "";

			// photo_thum
			$tbl_tour_photo->photo_thum->HrefValue = "";
			$tbl_tour_photo->photo_thum->TooltipValue = "";

			// order_by
			$tbl_tour_photo->order_by->HrefValue = "";
			$tbl_tour_photo->order_by->TooltipValue = "";
		} elseif ($tbl_tour_photo->RowType == EW_ROWTYPE_ADD) { // Add row

			// tour_name_id
			$tbl_tour_photo->tour_name_id->EditCustomAttributes = "";
			if ($tbl_tour_photo->tour_name_id->getSessionValue() <> "") {
				$tbl_tour_photo->tour_name_id->CurrentValue = $tbl_tour_photo->tour_name_id->getSessionValue();
			if (strval($tbl_tour_photo->tour_name_id->CurrentValue) <> "") {
				$sFilterWrk = "`tour_name_id` = " . ew_AdjustSql($tbl_tour_photo->tour_name_id->CurrentValue) . "";
			$sSqlWrk = "SELECT `name` FROM `tbl_tour_name`";
			$sWhereWrk = "";
			if ($sFilterWrk <> "") {
				if ($sWhereWrk <> "") $sWhereWrk .= " AND ";
				$sWhereWrk .= "(" . $sFilterWrk . ")";
			}
			if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
				$rswrk = $conn->Execute($sSqlWrk);
				if ($rswrk && !$rswrk->EOF) { // Lookup values found
					$tbl_tour_photo->tour_name_id->ViewValue = $rswrk->fields('name');
					$rswrk->Close();
				} else {
					$tbl_tour_photo->tour_name_id->ViewValue = $tbl_tour_photo->tour_name_id->CurrentValue;
				}
			} else {
				$tbl_tour_photo->tour_name_id->ViewValue = NULL;
			}
			$tbl_tour_photo->tour_name_id->CssStyle = "";
			$tbl_tour_photo->tour_name_id->CssClass = "";
			$tbl_tour_photo->tour_name_id->ViewCustomAttributes = "";
			} else {
			if (trim(strval($tbl_tour_photo->tour_name_id->CurrentValue)) == "") {
				$sFilterWrk = "0=1";
			} else {
				$sFilterWrk = "`tour_name_id` = " . ew_AdjustSql($tbl_tour_photo->tour_name_id->CurrentValue) . "";
			}
			$sSqlWrk = "SELECT `tour_name_id`, `name`, '' AS Disp2Fld, '' AS SelectFilterFld FROM `tbl_tour_name`";
			$sWhereWrk = "";
			if ($sFilterWrk <> "") {
				if ($sWhereWrk <> "") $sWhereWrk .= " AND ";
				$sWhereWrk .= "(" . $sFilterWrk . ")";
			}
			if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = $conn->Execute($sSqlWrk);
			$arwrk = ($rswrk) ? $rswrk->GetRows() : array();
			if ($rswrk) $rswrk->Close();
			array_unshift($arwrk, array("", $Language->Phrase("PleaseSelect")));
			$tbl_tour_photo->tour_name_id->EditValue = $arwrk;
			}

			// photo
			$tbl_tour_photo->photo->EditCustomAttributes = "";
			if (!ew_Empty($tbl_tour_photo->photo->Upload->DbValue)) {
				$tbl_tour_photo->photo->EditValue = $tbl_tour_photo->photo->Upload->DbValue;
				$tbl_tour_photo->photo->ImageWidth = 200;
				$tbl_tour_photo->photo->ImageHeight = 0;
				$tbl_tour_photo->photo->ImageAlt = $tbl_tour_photo->photo->FldAlt();
			} else {
				$tbl_tour_photo->photo->EditValue = "";
			}

			// photo_thum
			$tbl_tour_photo->photo_thum->EditCustomAttributes = "";
			if (!ew_Empty($tbl_tour_photo->photo_thum->Upload->DbValue)) {
				$tbl_tour_photo->photo_thum->EditValue = $tbl_tour_photo->photo_thum->Upload->DbValue;
				$tbl_tour_photo->photo_thum->ImageWidth = 82;
				$tbl_tour_photo->photo_thum->ImageHeight = 0;
				$tbl_tour_photo->photo_thum->ImageAlt = $tbl_tour_photo->photo_thum->FldAlt();
			} else {
				$tbl_tour_photo->photo_thum->EditValue = "";
			}

			// order_by
			$tbl_tour_photo->order_by->EditCustomAttributes = "";
			$tbl_tour_photo->order_by->EditValue = ew_HtmlEncode($tbl_tour_photo->order_by->CurrentValue);
		}

		// Call Row Rendered event
		if ($tbl_tour_photo->RowType <> EW_ROWTYPE_AGGREGATEINIT)
			$tbl_tour_photo->Row_Rendered();
	}

	// Validate form
	function ValidateForm() {
		global $Language, $gsFormError, $tbl_tour_photo;

		// Initialize form error message
		$gsFormError = "";
		if (!ew_CheckFileType($tbl_tour_photo->photo->Upload->FileName)) {
			$gsFormError .= ($gsFormError <> "") ? "<br>" : "";
			$gsFormError .= $Language->Phrase("WrongFileType");
		}
		if ($tbl_tour_photo->photo->Upload->FileSize > 0 && EW_MAX_FILE_SIZE > 0 && $tbl_tour_photo->photo->Upload->FileSize > EW_MAX_FILE_SIZE) {
			$gsFormError .= ($gsFormError <> "") ? "<br>" : "";
			$gsFormError .= str_replace("%s", EW_MAX_FILE_SIZE, $Language->Phrase("MaxFileSize"));
		}
		if (in_array($tbl_tour_photo->photo->Upload->Error, array(1, 2, 3, 6, 7, 8))) {
			$gsFormError .= ($gsFormError <> "") ? "<br>" : "";
			$gsFormError .= $Language->Phrase("PhpUploadErr" . $tbl_tour_photo->photo->Upload->Error);
		}
		if (!ew_CheckFileType($tbl_tour_photo->photo_thum->Upload->FileName)) {
			$gsFormError .= ($gsFormError <> "") ? "<br>" : "";
			$gsFormError .= $Language->Phrase("WrongFileType");
		}
		if ($tbl_tour_photo->photo_thum->Upload->FileSize > 0 && EW_MAX_FILE_SIZE > 0 && $tbl_tour_photo->photo_thum->Upload->FileSize > EW_MAX_FILE_SIZE) {
			$gsFormError .= ($gsFormError <> "") ? "<br>" : "";
			$gsFormError .= str_replace("%s", EW_MAX_FILE_SIZE, $Language->Phrase("MaxFileSize"));
		}
		if (in_array($tbl_tour_photo->photo_thum->Upload->Error, array(1, 2, 3, 6, 7, 8))) {
			$gsFormError .= ($gsFormError <> "") ? "<br>" : "";
			$gsFormError .= $Language->Phrase("PhpUploadErr" . $tbl_tour_photo->photo_thum->Upload->Error);
		}

		// Check if validation required
		if (!EW_SERVER_VALIDATE)
			return ($gsFormError == "");
		if (!is_null($tbl_tour_photo->tour_name_id->FormValue) && $tbl_tour_photo->tour_name_id->FormValue == "") {
			$gsFormError .= ($gsFormError <> "") ? "<br>" : "";
			$gsFormError .= $Language->Phrase("EnterRequiredField") . " - " . $tbl_tour_photo->tour_name_id->FldCaption();
		}
		if (is_null($tbl_tour_photo->photo->Upload->Value)) {
			$gsFormError .= ($gsFormError <> "") ? "<br>" : "";
			$gsFormError .= $Language->Phrase("EnterRequiredField") . " - " . $tbl_tour_photo->photo->FldCaption();
		}
		if (is_null($tbl_tour_photo->photo_thum->Upload->Value)) {
			$gsFormError .= ($gsFormError <> "") ? "<br>" : "";
			$gsFormError .= $Language->Phrase("EnterRequiredField") . " - " . $tbl_tour_photo->photo_thum->FldCaption();
		}
		if (!is_null($tbl_tour_photo->order_by->FormValue) && $tbl_tour_photo->order_by->FormValue == "") {
			$gsFormError .= ($gsFormError <> "") ? "<br>" : "";
			$gsFormError .= $Language->Phrase("EnterRequiredField") . " - " . $tbl_tour_photo->order_by->FldCaption();
		}
		if (!ew_CheckInteger($tbl_tour_photo->order_by->FormValue)) {
			if ($gsFormError <> "") $gsFormError .= "<br>";
			$gsFormError .= $tbl_tour_photo->order_by->FldErrMsg();
		}

		// Return validate result
		$ValidateForm = ($gsFormError == "");

		// Call Form_CustomValidate event
		$sFormCustomError = "";
		$ValidateForm = $ValidateForm && $this->Form_CustomValidate($sFormCustomError);
		if ($sFormCustomError <> "") {
			$gsFormError .= ($gsFormError <> "") ? "<br>" : "";
			$gsFormError .= $sFormCustomError;
		}
		return $ValidateForm;
	}

	// Add record
	function AddRow() {
		global $conn, $Language, $Security, $tbl_tour_photo;
		$rsnew = array();

		// tour_name_id
		$tbl_tour_photo->tour_name_id->SetDbValueDef($rsnew, $tbl_tour_photo->tour_name_id->CurrentValue, 0, FALSE);

		// photo
		$tbl_tour_photo->photo->Upload->SaveToSession(); // Save file value to Session
		if (is_null($tbl_tour_photo->photo->Upload->Value)) {
			$rsnew['photo'] = NULL;
		} else {
			$rsnew['photo'] = ew_UploadFileNameEx(ew_UploadPathEx(TRUE, $tbl_tour_photo->photo->UploadPath), $tbl_tour_photo->photo->Upload->FileName);
		}
		$tbl_tour_photo->photo->ImageWidth = 880; // Resize width
		$tbl_tour_photo->photo->ImageHeight = 353; // Resize height

		// photo_thum
		$tbl_tour_photo->photo_thum->Upload->SaveToSession(); // Save file value to Session
		if (is_null($tbl_tour_photo->photo_thum->Upload->Value)) {
			$rsnew['photo_thum'] = NULL;
		} else {
			$rsnew['photo_thum'] = ew_UploadFileNameEx(ew_UploadPathEx(TRUE, $tbl_tour_photo->photo_thum->UploadPath), $tbl_tour_photo->photo_thum->Upload->FileName);
		}
		$tbl_tour_photo->photo_thum->ImageWidth = 82; // Resize width
		$tbl_tour_photo->photo_thum->ImageHeight = 33; // Resize height

		// order_by
		$tbl_tour_photo->order_by->SetDbValueDef($rsnew, $tbl_tour_photo->order_by->CurrentValue, 0, FALSE);

		// Call Row Inserting event
		$bInsertRow = $tbl_tour_photo->Row_Inserting($rsnew);
		if ($bInsertRow) {
			if (!ew_Empty($tbl_tour_photo->photo->Upload->Value)) {
				$tbl_tour_photo->photo->Upload->RestoreFromSession(); // Restore original value
				$tbl_tour_photo->photo->Upload->Resize($tbl_tour_photo->photo->ImageWidth, $tbl_tour_photo->photo->ImageHeight, 75);
			}
			$tbl_tour_photo->photo->ImageWidth = 0; // Reset image width
			$tbl_tour_photo->photo->ImageHeight = 0; // Reset image height
			if (!ew_Empty($tbl_tour_photo->photo->Upload->Value)) {
				if ($tbl_tour_photo->photo->Upload->FileName == $tbl_tour_photo->photo->Upload->DbValue) { // Overwrite if same file name
					$tbl_tour_photo->photo->Upload->SaveToFile($tbl_tour_photo->photo->UploadPath, $rsnew['photo'], TRUE);
					$tbl_tour_photo->photo->Upload->DbValue = ""; // No need to delete any more
				} else {
					$tbl_tour_photo->photo->Upload->SaveToFile($tbl_tour_photo->photo->UploadPath, $rsnew['photo'], FALSE);
				}
			}
			if ($tbl_tour_photo->photo->Upload->Action == "2" || $tbl_tour_photo->photo->Upload->Action == "3") { // Update/Remove
				if ($tbl_tour_photo->photo->Upload->DbValue <> "")
					@unlink(ew_UploadPathEx(TRUE, $tbl_tour_photo->photo->UploadPath) . $tbl_tour_photo->photo->Upload->DbValue);
			}
			if (!ew_Empty($tbl_tour_photo->photo_thum->Upload->Value)) {
				$tbl_tour_photo->photo_thum->Upload->RestoreFromSession(); // Restore original value
				$tbl_tour_photo->photo_thum->Upload->Resize($tbl_tour_photo->photo_thum->ImageWidth, $tbl_tour_photo->photo_thum->ImageHeight, 75);
			}
			$tbl_tour_photo->photo_thum->ImageWidth = 0; // Reset image width
			$tbl_tour_photo->photo_thum->ImageHeight = 0; // Reset image height
			if (!ew_Empty($tbl_tour_photo->photo_thum->Upload->Value)) {
				if ($tbl_tour_photo->photo_thum->Upload->FileName == $tbl_tour_photo->photo_thum->Upload->DbValue) { // Overwrite if same file name
					$tbl_tour_photo->photo_thum->Upload->SaveToFile($tbl_tour_photo->photo_thum->UploadPath, $rsnew['photo_thum'], TRUE);
					$tbl_tour_photo->photo_thum->Upload->DbValue = ""; // No need to delete any more
				} else {
					$tbl_tour_photo->photo_thum->Upload->SaveToFile($tbl_tour_photo->photo_thum->UploadPath, $rsnew['photo_thum'], FALSE);
				}
			}
			if ($tbl_tour_photo->photo_thum->Upload->Action == "2" || $tbl_tour_photo->photo_thum->Upload->Action == "3") { // Update/Remove
				if ($tbl_tour_photo->photo_thum->Upload->DbValue <> "")
					@unlink(ew_UploadPathEx(TRUE, $tbl_tour_photo->photo_thum->UploadPath) . $tbl_tour_photo->photo_thum->Upload->DbValue);
			}
			$conn->raiseErrorFn = 'ew_ErrorFn';
			$AddRow = $conn->Execute($tbl_tour_photo->InsertSQL($rsnew));
			$conn->raiseErrorFn = '';
		} else {
			if ($tbl_tour_photo->CancelMessage <> "") {
				$this->setMessage($tbl_tour_photo->CancelMessage);
				$tbl_tour_photo->CancelMessage = "";
			} else {
				$this->setMessage($Language->Phrase("InsertCancelled"));
			}
			$AddRow = FALSE;
		}
		if ($AddRow) {
			$tbl_tour_photo->tour_photo->setDbValue($conn->Insert_ID());
			$rsnew['tour_photo'] = $tbl_tour_photo->tour_photo->DbValue;

			// Call Row Inserted event
			$tbl_tour_photo->Row_Inserted($rsnew);
		}

		// photo
		$tbl_tour_photo->photo->Upload->RemoveFromSession(); // Remove file value from Session

		// photo_thum
		$tbl_tour_photo->photo_thum->Upload->RemoveFromSession(); // Remove file value from Session
		return $AddRow;
	}

	// Set up master/detail based on QueryString
	function SetUpMasterDetail() {
		global $tbl_tour_photo;
		$bValidMaster = FALSE;

		// Get the keys for master table
		if (@$_GET[EW_TABLE_SHOW_MASTER] <> "") {
			$sMasterTblVar = $_GET[EW_TABLE_SHOW_MASTER];
			if ($sMasterTblVar == "") {
				$bValidMaster = TRUE;
				$this->sDbMasterFilter = "";
				$this->sDbDetailFilter = "";
			}
			if ($sMasterTblVar == "tbl_tour_name") {
				$bValidMaster = TRUE;
				$this->sDbMasterFilter = $tbl_tour_photo->SqlMasterFilter_tbl_tour_name();
				$this->sDbDetailFilter = $tbl_tour_photo->SqlDetailFilter_tbl_tour_name();
				if (@$_GET["tour_name_id"] <> "") {
					$GLOBALS["tbl_tour_name"]->tour_name_id->setQueryStringValue($_GET["tour_name_id"]);
					$tbl_tour_photo->tour_name_id->setQueryStringValue($GLOBALS["tbl_tour_name"]->tour_name_id->QueryStringValue);
					$tbl_tour_photo->tour_name_id->setSessionValue($tbl_tour_photo->tour_name_id->QueryStringValue);
					if (!is_numeric($GLOBALS["tbl_tour_name"]->tour_name_id->QueryStringValue)) $bValidMaster = FALSE;
					$this->sDbMasterFilter = str_replace("@tour_name_id@", ew_AdjustSql($GLOBALS["tbl_tour_name"]->tour_name_id->QueryStringValue), $this->sDbMasterFilter);
					$this->sDbDetailFilter = str_replace("@tour_name_id@", ew_AdjustSql($GLOBALS["tbl_tour_name"]->tour_name_id->QueryStringValue), $this->sDbDetailFilter);
				} else {
					$bValidMaster = FALSE;
				}
			}
		}
		if ($bValidMaster) {

			// Save current master table
			$tbl_tour_photo->setCurrentMasterTable($sMasterTblVar);

			// Reset start record counter (new master key)
			$this->lStartRec = 1;
			$tbl_tour_photo->setStartRecordNumber($this->lStartRec);
			$tbl_tour_photo->setMasterFilter($this->sDbMasterFilter); // Set up master filter
			$tbl_tour_photo->setDetailFilter($this->sDbDetailFilter); // Set up detail filter

			// Clear previous master key from Session
			if ($sMasterTblVar <> "tbl_tour_name") {
				if ($tbl_tour_photo->tour_name_id->QueryStringValue == "") $tbl_tour_photo->tour_name_id->setSessionValue("");
			}
		} else {
			$this->sDbMasterFilter = $tbl_tour_photo->getMasterFilter(); //  Restore master filter
			$this->sDbDetailFilter = $tbl_tour_photo->getDetailFilter(); // Restore detail filter
		}
	}

	// Page Load event
	function Page_Load() {

		//echo "Page Load";
	}

	// Page Unload event
	function Page_Unload() {

		//echo "Page Unload";
	}

	// Page Redirecting event
	function Page_Redirecting(&$url) {

		// Example:
		//$url = "your URL";

	}

	// Message Showing event
	function Message_Showing(&$msg) {

		// Example:
		//$msg = "your new message";

	}

	// Form Custom Validate event
	function Form_CustomValidate(&$CustomError) {

		// Return error message in CustomError
		return TRUE;
	}
}
?>
